<?php
    
function og_titles_views_default_views()
{
    $view = new view;
    $view->name = 'og_member_titles';
    $view->description = 'A simple member list of users, their groups, and their member titles.';
    $view->tag = 'og';
    $view->view_php = '';
    $view->base_table = 'users';
    $view->is_cacheable = FALSE;
    $view->api_version = 2;
    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
    $handler = $view->new_display('default', 'Defaults', 'default');
    $handler->override_option('relationships', array(
      'uid' => array(
        'label' => 'Group Member',
        'required' => 1,
        'id' => 'uid',
        'table' => 'og_uid_titles',
        'field' => 'uid',
        'relationship' => 'none',
      ),
      'nid' => array(
        'label' => 'Group node (member)',
        'required' => 1,
        'id' => 'nid',
        'table' => 'og_uid_titles',
        'field' => 'nid',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('fields', array(
      'name' => array(
        'label' => '',
        'link_to_user' => 1,
        'exclude' => 1,
        'id' => 'name',
        'table' => 'users',
        'field' => 'name',
        'relationship' => 'none',
      ),
      'title_1' => array(
        'label' => '',
        'link_to_node' => 1,
        'exclude' => 0,
        'id' => 'title_1',
        'table' => 'node',
        'field' => 'title',
        'relationship' => 'nid',
      ),
      'title' => array(
        'label' => '',
        'exclude' => 0,
        'id' => 'title',
        'table' => 'og_uid_titles',
        'field' => 'title',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('sorts', array(
      'is_admin' => array(
        'order' => 'DESC',
        'id' => 'is_admin',
        'table' => 'og_uid',
        'field' => 'is_admin',
        'relationship' => 'none',
      ),
      'is_active' => array(
        'order' => 'DESC',
        'id' => 'is_active',
        'table' => 'og_uid',
        'field' => 'is_active',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('filters', array(
      'status' => array(
        'operator' => '=',
        'value' => '1',
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'status',
        'table' => 'users',
        'field' => 'status',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('access', array(
      'type' => 'none',
    ));
    $handler->override_option('title', 'Global Member List');
    $handler->override_option('header', 'A list of all members with their group and group title.');
    $handler->override_option('header_format', '2');
    $handler->override_option('header_empty', 0);
    $handler->override_option('use_pager', '1');
    $handler->override_option('style_plugin', 'list');
    $handler->override_option('style_options', array(
      'grouping' => 'name',
      'type' => 'ul',
    ));
    $handler = $view->new_display('block', 'Global Member List', 'block_1');
    $handler->override_option('block_description', '');
    $handler->override_option('block_caching', -1);
    
    $views[$view->name] = $view;
    return $views;
 } // function og_titles_views_default_views
